Bug 587982 - SELinux is preventing /usr/sbin/asterisk "create" access on asterisk.ctl.
SELinux is preventing /usr/sbin/asterisk "create" access on asterisk.ctl.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:540a95cadf2...
:
: 587983 587984 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-01 20:22 EDT by fasi
Modified: 2010-08-19 07:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-19 07:33:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description fasi 2010-05-01 20:22:13 EDT
Summary:

SELinux is preventing /usr/sbin/asterisk "create" access on asterisk.ctl.

Detailed Description:

[asterisk has a permissive type (asterisk_t). This access was not denied.]

SELinux denied access requested by asterisk. It is not expected that this access
is required by asterisk and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:asterisk_t:s0
Target Context                system_u:object_r:var_run_t:s0
Target Objects                asterisk.ctl [ sock_file ]
Source                        asterisk
Source Path                   /usr/sbin/asterisk
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-110.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.32.11-105.fc12.i686.PAE #1 SMP
                              Tue Apr 20 15:01:35 UTC 2010 i686 i686
Alert Count                   5
First Seen                    Sun 25 Apr 2010 06:36:46 PM EDT
Last Seen                     Sat 01 May 2010 02:26:17 PM EDT
Local ID                      9a6b1fdb-198a-45c6-88c6-c6fccec4f149
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1272738377.304:6): avc:  denied  { create } for  pid=1704 comm="asterisk" name="asterisk.ctl" scontext=system_u:system_r:asterisk_t:s0 tcontext=system_u:object_r:var_run_t:s0 tclass=sock_file

node=(removed) type=SYSCALL msg=audit(1272738377.304:6): arch=40000003 syscall=102 success=yes exit=0 a0=2 a1=bfca0230 a2=6c a3=0 items=0 ppid=1701 pid=1704 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="asterisk" exe="/usr/sbin/asterisk" subj=system_u:system_r:asterisk_t:s0 key=(null)



Hash String generated from  catchall,asterisk,asterisk_t,var_run_t,sock_file,create
audit2allow suggests:

#============= asterisk_t ==============
allow asterisk_t var_run_t:sock_file create;
Comment 1 Carl G. 2010-05-03 01:53:04 EDT
*** Bug 587984 has been marked as a duplicate of this bug. ***
Comment 2 Miroslav Grepl 2010-05-03 06:48:07 EDT
*** Bug 587983 has been marked as a duplicate of this bug. ***
Comment 3 Miroslav Grepl 2010-05-03 06:59:18 EDT
Any idea why asterisk.ctl is not located in /var/run/asterisk/ directory? Did you change the default location?

Note You need to log in before you can comment on or make changes to this bug.